package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@ApiModel
public class DrpComeAndGoCommitRefundDTO {
   @ApiModelProperty("采购单号")
   private @NotBlank(
   message = "采购单号不能为空!"
) String orderGoodsId;
   @ApiModelProperty("退款金额")
   private @NotNull(
   message = "退款金额不能为空!"
) Long refundAmount;
   @ApiModelProperty("收款银行")
   private String collectBank;
   @ApiModelProperty("收款账号名称")
   private String collectAccountName;
   @ApiModelProperty("收款账号")
   private String collectAccount;
   @ApiModelProperty("付款银行")
   private String payBank;
   @ApiModelProperty("付款账户名称")
   private String payAccountName;
   @ApiModelProperty("付款账户")
   private String payAccount;
   @ApiModelProperty("退款时间")
   private LocalDateTime refundTime;
   @ApiModelProperty("退款备注")
   private String refundRemark;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getRefundAmount() {
      return this.refundAmount;
   }

   public String getCollectBank() {
      return this.collectBank;
   }

   public String getCollectAccountName() {
      return this.collectAccountName;
   }

   public String getCollectAccount() {
      return this.collectAccount;
   }

   public String getPayBank() {
      return this.payBank;
   }

   public String getPayAccountName() {
      return this.payAccountName;
   }

   public String getPayAccount() {
      return this.payAccount;
   }

   public LocalDateTime getRefundTime() {
      return this.refundTime;
   }

   public String getRefundRemark() {
      return this.refundRemark;
   }

   public DrpComeAndGoCommitRefundDTO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setRefundAmount(final Long refundAmount) {
      this.refundAmount = refundAmount;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setCollectBank(final String collectBank) {
      this.collectBank = collectBank;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setCollectAccountName(final String collectAccountName) {
      this.collectAccountName = collectAccountName;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setCollectAccount(final String collectAccount) {
      this.collectAccount = collectAccount;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setPayBank(final String payBank) {
      this.payBank = payBank;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setPayAccountName(final String payAccountName) {
      this.payAccountName = payAccountName;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setPayAccount(final String payAccount) {
      this.payAccount = payAccount;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setRefundTime(final LocalDateTime refundTime) {
      this.refundTime = refundTime;
      return this;
   }

   public DrpComeAndGoCommitRefundDTO setRefundRemark(final String refundRemark) {
      this.refundRemark = refundRemark;
      return this;
   }


   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpComeAndGoCommitRefundDTO(orderGoodsId=" + var10000 + ", refundAmount=" + this.getRefundAmount() + ", collectBank=" + this.getCollectBank() + ", collectAccountName=" + this.getCollectAccountName() + ", collectAccount=" + this.getCollectAccount() + ", payBank=" + this.getPayBank() + ", payAccountName=" + this.getPayAccountName() + ", payAccount=" + this.getPayAccount() + ", refundTime=" + String.valueOf(this.getRefundTime()) + ", refundRemark=" + this.getRefundRemark() + ")";
   }
}
